%global gem_name sprockets-rails
Name:                rubygem-%{gem_name}
Version:             3.4.2
Release:             2
Summary:             Sprockets Rails integration
License:             MIT
URL:                 https://github.com/rails/sprockets-rails
Source0:             https://rubygems.org/gems/sprockets-rails-%{version}.gem
Source1:             https://github.com/rails/sprockets-rails/archive/v%{version}.tar.gz
BuildRequires:       ruby(release) rubygems-devel ruby rubygem(minitest) rubygem(railties) >= 3.0
BuildRequires:       rubygem(rake) rubygem(sprockets)
BuildArch:           noarch
%description
Provides Sprockets implementation for Rails 4.x (and beyond) Asset Pipeline.

%package doc
Summary:             Documentation for %{name}
Requires:            %{name} = %{version}-%{release}
BuildArch:           noarch
%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version} -b 1
ln -s %{gem_name}-%{version}/test test

%build
gem build ../%{gem_name}-%{version}.gemspec
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

%check
pushd .%{gem_instdir}
ln -s %{_builddir}/%{gem_name}-%{version}/test .
taskset -c 0 ruby -Ilib -e 'Dir.glob "./test/**/test_*.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/MIT-LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Thu Aug 31 2023 Ge Wang <wang__ge@126.com> - 3.4.2-2
- fix probabilistic failure caused by resource competition

* Thu Mar 24 2022 liyanan <liyanan32@huawei.com> - 3.4.2-1
- update to 3.4.2

* Fri Aug 21 2020 shenleizhao <shenleizhao@huawei.com> - 3.2.1-1
- package init
